Name:    osmosis
Version: 0.49.2
Release: 1%{?dist}
Summary: Command line Java application for processing Open Street Map data.

License: Public Domain
BuildArch: noarch
Requires: java
BuildRequires: javapackages-filesystem

URL: https://github.com/openstreetmap/osmosis
Source0: https://github.com/openstreetmap/%{name}/releases/download/%{version}/%{name}-%{version}.tar

%description
The tool consists of a series of pluggable components that can be chained together to perform a larger operation. For example, it has components for
reading from database and from file, components for writing to database and to file, cfedomponents for deriving and applying change sets to data sources,
components for sorting data, etc. It has been written so that it is easy to add new features without re-writing common tasks such as file or database
handling.

%prep
%setup -qc osmosis-%{version}
ls osmosis-%{version}
# Remove win script
#%{__rm} bin/osmosis.bat
# convert EOL
for file in `find osmosis-%{version}/script -type f`
do
    sed -i -e 's/\r$//' ${file}
done
# Fix paths
for file in `find osmosis-%{version}/bin -type f`
do
    %{__sed} -i \
             -e 's^$MYAPP_HOME/lib^%{_javadir}/osmosis^' \
             ${file}
done

%install
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_javadir}/osmosis
%{__install} -m 0755 osmosis-%{version}/bin/* %{buildroot}%{_bindir}/
%{__install} -m 0644 osmosis-%{version}/lib/* %{buildroot}%{_javadir}/osmosis/

%files
%doc osmosis-%{version}/readme.txt osmosis-%{version}/changes.txt osmosis-%{version}/copying.txt osmosis-%{version}/script
%{_bindir}/osmosis*
%{_javadir}/osmosis/*

%changelog
* Thu Jul 29 2021 Ivan Fomin <ifomin@gispro.ru> - 0.48.3-1
- Initial package

* Tue Dec 12 2023 Ivan Fomin <ifomin@gispro.ru> - 0.49.2-1
- Version update